<?php

// Creates and configures a new webobjecttree control
function CreateWebObjectTree($id)
{
    $webObjectTree = new Coalesys\WebObjectTree\WebObjectTree($id, $_REQUEST);
    $webObjectTree->setBackColor("Ivory");
    $webObjectTree->setBorderColor("Gray");
    $webObjectTree->setBorderStyle(Coalesys\WebObjectTree\BorderStyle::Solid);
    $webObjectTree->setBorderWidth("1px");
    $font = $webObjectTree->getFont();
    $font->setNames("Arial,helvetica,sans-serif");
    $font->setSize("13px");
    $webObjectTree->setForeColor("#404040");
    $webObjectTree->setHeight("325px");
    $webObjectTree->setLoadingText("Reading...");
    $webObjectTree->setRetentionPeriod(5);
    $webObjectTree->setSelectedBackColor("#C3BB97");
    $webObjectTree->setSelectedForeColor("#303030");
    $webObjectTree->setWidth("300px");

    return $webObjectTree;
}

?>
