﻿var targetId = "WebObjectTree1";

var storeProducts =
{
    "/": { Converter: "KeyValue", Items: ["[S101]Clothing & Sports", "[S102]Home & Electronics"], Children: true },

    "/S101": { Converter: "KeyValue", Items: ["[D101]Clothing", "[D102]Sports"], Children: true },
    "/S102": { Converter: "KeyValue", Items: ["[D103]Home", "[D104]Electronics"], Children: true },

    "/S101/D101": { Converter: "KeyValue", Items: ["[PC101]Gloves", "[PC102]Hat", "[PC103]Jacket", "[PC104]Pants", "[PC105]Shirt", "[PC106]Shoes", "[PC107]Shorts", "[PC108]Socks", "[PC109]Sweater"] },
    "/S101/D102": { Converter: "KeyValue", Items: ["[PS101]Baseball", "[PS102]Basketball", "[PS103]Bicycle", "[PS104]Football", "[PS105]Golf clubs", "[PS106]Helmet", "[PS107]Ice skates", "[PS108]Skateboard", "[PS109]Sneakers"] },
    "/S102/D103": { Converter: "KeyValue", Items: ["[PH101]Cabinet", "[PH102]Chair", "[PH103]Desk", "[PH104]Lamp", "[PH105]Picture", "[PH106]Plant", "[PH107]Rug", "[PH108]Sofa", "[PH109]Table"] },
    "/S102/D104": { Converter: "KeyValue", Items: ["[PE101]Camcorder", "[PE102]Camera", "[PE103]Cell phone", "[PE104]Ear buds", "[PE105]Laptop", "[PE106]MP3 player", "[PE107]Tablet", "[PE108]Television", "[PE109]Watch"] }
};

// Retrieves data requested by the webobjecttree control
function cwotOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId)
    {
        // simulate loading delay
        setTimeout(function ()
        {
            var keyPath = cwotExtractKeys(requestPath);
            var responseData = storeProducts[keyPath];
            cwotProcessResponse(controlId, responseData);
        },
        250);
    }

    return null;
}
