﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Vegetables/Spinach/Garlic Spinach";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <script src="../../Common/Foods.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./Modernization.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#222222;color:#aaaaaa;}
        .csHeading {background-color:#444444;}
        .csVControl {width:335px;}
        .csDivider {border-top-color:#121212;border-bottom-color:#2a2a2a;}
        .csVDocument {margin-left:335px;}
        .csOuterBorder {border-color:#121212 #2a2a2a #2a2a2a #121212;border-style:solid;border-width:1px;}
        .csDescription {background-color:#222222;border-color:#2a2a2a #121212 #121212 #2a2a2a;color:#aaaaaa;}
    </style>
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div><?php echo $webObjectTree1->renderControl() ?></div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input class="cwotButton" type="submit" style="color:#aaaaaa;font-family:Arial,helvetica,sans-serif;font-size:12px;margin-top:0px;padding:0.7em;" value="Submit" />
                        &nbsp;&nbsp;<a class="cwotButton" href="index.php" style="color:#aaaaaa;font-family:Arial,helvetica,sans-serif;font-size:12px;padding:0.7em;text-decoration:none;">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csOuterBorder">
                    <div class="csDescription">
                        <div class="csTitle">Modern Design:</div>
                        <div class="csContent">
                            This sample replaces the default WebObjectTree style sheet with a version that contains custom definitions to give the control a modern design.
                            This demonstrates some of the possibilities when customizing the control for your web applications.<br />
                            <br />
                            In this sample the WebObjectTree is allowing you to select some food, organized by food group and item.
                            Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                            <div class="csIndent">
                                <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                            </div>
                            Click the &quot;Reset&quot; link to clear your selection.
                        </div>
                        <div class="csTitle">Control being used:</div>
                        <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                        <div class="csTitle">View the code:</div>
                        <div class="csIndent">
                            The code is available in the samples directory under:
                            <div class="csDirectory">
                                /Appearance<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;/ModernDesign
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
