var targetId = "WebObjectTree1";

// Retrieves data requested by the webobjecttree control
function cwotOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId)
    {
        var parameters = {
            controlId: controlId,
            requestPath: requestPath
        };

        $.ajax({
            type: "POST",
            url: "../../Services/datasource.php",
            dataType: "json",
            data: JSON.stringify(parameters),
            contentType: "application/json; charset=utf-8",
            success: function (data)
            {
                cwotProcessResponse(controlId, data);
            },
            error: function (xhr)
            {
                cwotProcessResponse(controlId, null);
                var errorMessage = "Failed to retrieve items:\n";
                errorMessage = errorMessage + xhr.statusText + " (" + xhr.status + ")";
                alert(errorMessage);
            }
        });
    }
}
